Subject: Re: bug#7987: 23.2; Refill error in message-mode

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 30 Jun 2011 22:10:11 +0200

Stefan Monnier <[email-masked]> writes:

> Hmm... so message-mode now won't recognize an RFC2822-format buffer
> (i.e. with an empty line as header separator)?  That would seem like
> a more important use-case then the "no header" case.

I use an empty line as a separator, and `M-q' and friends work for me in
all my use cases.  But it's certainly possible that I've missed some.

Using an empty line as a separator, and then not including any headers
in the buffer doesn't work, though.  Eurhm.  That wasn't the original
author's use case, was it?  I assumed that he had a buffer starting with

  --- text follows etc etc ---

with no headers before that...

If not, yeah, you're right -- message mode just isn't meant to be used
like that.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/